# WebhookRepresentationCamelDict<!-- -->

Minimal representation of an ad-hoc webhook attached to a single Actor run or build via the `webhooks` query parameter. The query parameter value is a Base64-encoded JSON array whose items match this schema. Persistent webhook fields (e.g. `condition`) are not used here.

## Index[**](#Index)

### Properties

* [**doNotRetry](https://docs.apify.com/api/client/python/reference/class/WebhookRepresentationCamelDict.md#doNotRetry)
* [**eventTypes](https://docs.apify.com/api/client/python/reference/class/WebhookRepresentationCamelDict.md#eventTypes)
* [**headersTemplate](https://docs.apify.com/api/client/python/reference/class/WebhookRepresentationCamelDict.md#headersTemplate)
* [**idempotencyKey](https://docs.apify.com/api/client/python/reference/class/WebhookRepresentationCamelDict.md#idempotencyKey)
* [**ignoreSslErrors](https://docs.apify.com/api/client/python/reference/class/WebhookRepresentationCamelDict.md#ignoreSslErrors)
* [**payloadTemplate](https://docs.apify.com/api/client/python/reference/class/WebhookRepresentationCamelDict.md#payloadTemplate)
* [**requestUrl](https://docs.apify.com/api/client/python/reference/class/WebhookRepresentationCamelDict.md#requestUrl)
* [**shouldInterpolateStrings](https://docs.apify.com/api/client/python/reference/class/WebhookRepresentationCamelDict.md#shouldInterpolateStrings)

## Properties<!-- -->[**](#Properties)

### [**](#doNotRetry)doNotRetry

**doNotRetry: NotRequired\[bool | None]

Flag to skip retrying the webhook request on failure.

### [**](#eventTypes)eventTypes

**eventTypes: [list](https://docs.apify.com/api/client/python/reference/class/ActorCollectionClient.md#list)\[Literal\[ACTOR.BUILD.ABORTED, ACTOR.BUILD.CREATED, ACTOR.BUILD.FAILED, ACTOR.BUILD.SUCCEEDED, ACTOR.BUILD.TIMED_OUT, ACTOR.RUN.ABORTED, ACTOR.RUN.CREATED, ACTOR.RUN.FAILED, ACTOR.RUN.RESURRECTED, ACTOR.RUN.SUCCEEDED, ACTOR.RUN.TIMED_OUT, TEST]]

### [**](#headersTemplate)headersTemplate

**headersTemplate: NotRequired\[str | None]

Optional template for the HTTP headers sent by the webhook.

### [**](#idempotencyKey)idempotencyKey

**idempotencyKey: NotRequired\[str | None]

Key that prevents creating duplicate webhooks, e.g. when the run-starting request is retried.

### [**](#ignoreSslErrors)ignoreSslErrors

**ignoreSslErrors: NotRequired\[bool | None]

Flag to ignore SSL errors when the webhook sends the request.

### [**](#payloadTemplate)payloadTemplate

**payloadTemplate: NotRequired\[str | None]

Optional template for the JSON payload sent by the webhook.

### [**](#requestUrl)requestUrl

**requestUrl: str

The URL to which the webhook sends its payload.

### [**](#shouldInterpolateStrings)shouldInterpolateStrings

**shouldInterpolateStrings: NotRequired\[bool | None]

Flag to also interpolate `{{...}}` variables inside string values of the payload and headers templates.
